#include <bits/stdc++.h>

using namespace std;

void solve();
int main() {
#ifdef LOCAL
    freopen("input.txt","r",stdin);
#endif
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    solve();
    return 0;
}

#define int long long
#define endl '\n'
const int N=1e7+10,MOD=1e9+7,INF=1e14;
struct item {
    int cost,i,j;
};
void solve() {
    int n,s;
    cin>>n>>s;
    const int SZ=s;
    vector<vector<item>> a(n+1);
    vector<int> sz(n,0);
    for (int i=1;i<=n;i++) {
        int k;
        cin>>k;
        sz[i]=k;
        a[i].resize(k+1);
        for (int j=1;j<=k;j++) {
            int c;
            cin>>c;
            a[i][j]={c,i,j};
        }
    }
    vector<vector<vector<bool>>> dp(n+1,vector<vector<bool>>(s+1,vector<bool>(2,false)));
    dp[0][0][1]=true;
    for (int i=1;i<=n;i++) {
        for (int j=0;j<=s;j++) {
            dp[i][j][0]=dp[i-1][j][1];
        }
        for (int j=1;j<=sz[i];j++) {
            for (int k=s;k>=0;k--) {
                if (k-a[i][j].cost>=0) {
                    dp[i][k][1]=(dp[i][k][1]||dp[i][k-a[i][j].cost][0]);
                    dp[i][k][1]=(dp[i][k][1]||dp[i][k-a[i][j].cost][1]);
                }
            }
        }
    }
    if (dp[n][s][1]) {
        cout<<"Yes"<<endl;
        vector<vector<int>> ans(n+1);
        int ci=n;
        int ck=s;
        while (ci!=0) {
            int cj=sz[ci];
            int pos=1;
            while (cj!=0) {
                item cur=a[ci][cj];
                int prev=ck-cur.cost;
                if (prev<0) {
                    cj--;
                    continue;
                }
                if (pos==1) {
                    if (dp[ci][prev][0]) {
                        pos=0;
                        ans[ci].push_back(cur.j);
                        ck=prev;
                    }else if (dp[ci][prev][1]) {
                        ans[ci].push_back(cur.j);
                        ck=prev;
                    }
                }
                cj--;
            }
            ci--;
        }
        for (int i=1;i<=n;i++) {
            cout<<ans[i].size()<<endl;
            sort(ans[i].begin(),ans[i].end());
            for (auto j:ans[i]) {
                cout<<j<<" ";
            }
            cout<<endl;
        }
    }else {
        cout<<"No"<<endl;
    }
}